import { AddAuthorizedUsersRequest, BeneficialOwner, CloseAccountRequest, CloseAccountType, CloseReason, MobileWalletPayloadRequest, RemoveAuthorizedUsersRequest } from "./types";
import { State, Address, FullName, Phone, Status, Title, Officer, BusinessContact, AuthorizedUser, Counterparty, Coordinates, UsAddress, InternationalAddress, Relationship, RelationshipsArrayData } from "./types/common";
export declare function createUsAddress(street: string, street2: string | null, city: string, state: State | null, postalCode: string, country: "US"): UsAddress;
export declare function createAddress(street: string, street2: string | null, city: string, state: string | null, postalCode: string, country: string): InternationalAddress;
export declare function createFullName(first: string, last: string): FullName;
export declare function createPhone(countryCode: string, number: string): Phone;
export declare function createOfficer(status: Status | null, fullName: FullName, title: Title | null, ssn: string | null, passport: string | null, nationality: string | null, dateOfBirth: string, address: Address, phone: Phone, email: string): Officer;
export declare function createBeneficialOwner(status: Status | null, fullName: FullName, ssn: string | null, passport: string | null, nationality: string | null, dateOfBirth: string, address: Address, phone: Phone, email: string, percentage: number | null): BeneficialOwner;
export declare function createBusinessContact(fullName: FullName, email: string, phone: Phone): BusinessContact;
export declare function createAuthorizedUser(fullName: FullName, email: string, phone: Phone): AuthorizedUser;
export declare function createCounterparty(routingNumber: string, accountNumber: string, accountType: string, name: string): Counterparty;
export declare function createCoordinates(longitude: number, latitude: number): Coordinates;
export declare function createRelationship(type: string, id: string): Relationship;
export declare function createRelationshipArray(type: string, ids: string[]): RelationshipsArrayData;
export declare function createAddAuthorizedUsersRequest(customerId: string, authorizedUsers: AuthorizedUser[]): AddAuthorizedUsersRequest;
export declare function createRemoveAuthorizedUsersRequest(customerId: string, authorizedUsersEmails: string[]): RemoveAuthorizedUsersRequest;
export declare function createMobileWalletRequest(cardId: string, signedNonce: string): MobileWalletPayloadRequest;
export declare function createCloseAccountRequest(accountId: string, closeReason?: CloseReason, accountType?: CloseAccountType): CloseAccountRequest;
