import { BaseResource } from ".";
import { CheckPayment, CreateCheckPaymentSimulation, UnitConfig, UnitResponse } from "../types";
import { AchReceivedPayment, Application, ApplicationDocument, AchPayment } from "../types";
import { ApproveApplicationSimulation, DenyApplicationSimulation, RejectDocumentSimulation, CreateAchReceivedPaymentSimulation, ReceiveAchPaymentSimulation, CreateCardPurchaseSimulation, CardTransaction } from "../types";
export declare class Simulations extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    approveApplication(applicationId: string, request: ApproveApplicationSimulation): Promise<UnitResponse<Application>>;
    denyApplication(applicationId: string, request: DenyApplicationSimulation): Promise<UnitResponse<Application>>;
    approveDocument(applicationId: string, documentId: string): Promise<UnitResponse<ApplicationDocument>>;
    rejectDocument(applicationId: string, documentId: string, request: RejectDocumentSimulation): Promise<UnitResponse<ApplicationDocument>>;
    receiveAchPayment(request: ReceiveAchPaymentSimulation): Promise<UnitResponse<AchPayment>>;
    createAchReceivedPayment(request: CreateAchReceivedPaymentSimulation): Promise<UnitResponse<AchReceivedPayment>>;
    completeAchReceivedPayment(id: string): Promise<UnitResponse<AchReceivedPayment>>;
    createCheckPayment(request: CreateCheckPaymentSimulation): Promise<UnitResponse<CheckPayment>>;
    createCardPurchase(request: CreateCardPurchaseSimulation): Promise<UnitResponse<CardTransaction>>;
}
